Index: ui/mainwindow.ce.ui
===================================================================
--- ui/mainwindow.ce.ui	(revision 5587b87fac8fd2762db0159e7b97beeb76bf5b9c)
+++ ui/mainwindow.ce.ui	(revision 899d1b8e15f517c4ab2c4edbff5fa53650a2e936)
@@ -282,5 +282,19 @@
      <string>&amp;Settings</string>
     </property>
-    <addaction name="actionSettingsSettings"/>
+    <widget class="QMenu" name="menuSettingsLanguage">
+     <property name="toolTip">
+      <string>Select language</string>
+     </property>
+     <property name="statusTip">
+      <string>Select application language</string>
+     </property>
+     <property name="title">
+      <string extracomment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
+     </property>
+     <addaction name="actionSettingsLanguageAutodetect"/>
+    </widget>
+    <addaction name="menuSettingsLanguage"/>
+    <addaction name="separator"/>
+    <addaction name="actionSettingsPreferences"/>
    </widget>
    <widget class="QMenu" name="menuHelp">
@@ -317,5 +331,5 @@
    <addaction name="actionFileSaveTask"/>
    <addaction name="separator"/>
-   <addaction name="actionSettingsSettings"/>
+   <addaction name="actionSettingsPreferences"/>
    <addaction name="separator"/>
    <addaction name="actionFileExit"/>
@@ -408,5 +422,5 @@
    </property>
   </action>
-  <action name="actionSettingsSettings">
+  <action name="actionSettingsPreferences">
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -502,4 +516,21 @@
    <property name="shortcut">
     <string>Ctrl+S</string>
+   </property>
+  </action>
+  <action name="actionSettingsLanguageAutodetect">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="checked">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Autodetect</string>
+   </property>
+   <property name="toolTip">
+    <string>Detect language automatically</string>
+   </property>
+   <property name="statusTip">
+    <string>Detect language automatically based on regional settings</string>
    </property>
   </action>
Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision 5587b87fac8fd2762db0159e7b97beeb76bf5b9c)
+++ ui/mainwindow.ui	(revision 899d1b8e15f517c4ab2c4edbff5fa53650a2e936)
@@ -237,7 +237,4 @@
     </property>
     <widget class="QMenu" name="menuFileSave">
-     <property name="statusTip">
-      <string/>
-     </property>
      <property name="title">
       <string>&amp;Save</string>
@@ -249,7 +246,7 @@
      <addaction name="actionFileSaveTask"/>
      <addaction name="separator"/>
-     <addaction name="actionFileSaveResultAll"/>
-     <addaction name="actionFileSaveResultMatrices"/>
-     <addaction name="actionFileSaveResultGraph"/>
+     <addaction name="actionFileSaveSolutionAll"/>
+     <addaction name="actionFileSaveSolutionMatrices"/>
+     <addaction name="actionFileSaveSolutionGraph"/>
     </widget>
     <addaction name="actionFileNew"/>
@@ -266,5 +263,19 @@
      <string>&amp;Settings</string>
     </property>
-    <addaction name="actionSettingsSettings"/>
+    <widget class="QMenu" name="menuSettingsLanguage">
+     <property name="toolTip">
+      <string>Select language</string>
+     </property>
+     <property name="statusTip">
+      <string>Select application language</string>
+     </property>
+     <property name="title">
+      <string extracomment="Please, append &quot; / Language&quot; when translating this string.">&amp;Language</string>
+     </property>
+     <addaction name="actionSettingsLanguageAutodetect"/>
+    </widget>
+    <addaction name="menuSettingsLanguage"/>
+    <addaction name="separator"/>
+    <addaction name="actionSettingsPreferences"/>
    </widget>
    <widget class="QMenu" name="menuHelp">
@@ -303,5 +314,5 @@
    <addaction name="separator"/>
    <addaction name="actionFilePrint"/>
-   <addaction name="actionSettingsSettings"/>
+   <addaction name="actionSettingsPreferences"/>
    <addaction name="separator"/>
    <addaction name="actionFileExit"/>
@@ -337,5 +348,5 @@
    </property>
   </action>
-  <action name="actionFileSaveResultMatrices">
+  <action name="actionFileSaveSolutionMatrices">
    <property name="enabled">
     <bool>false</bool>
@@ -351,5 +362,5 @@
    </property>
   </action>
-  <action name="actionFileSaveResultGraph">
+  <action name="actionFileSaveSolutionGraph">
    <property name="enabled">
     <bool>false</bool>
@@ -365,5 +376,5 @@
    </property>
   </action>
-  <action name="actionFileSaveResultAll">
+  <action name="actionFileSaveSolutionAll">
    <property name="enabled">
     <bool>false</bool>
@@ -424,5 +435,5 @@
    </property>
   </action>
-  <action name="actionSettingsSettings">
+  <action name="actionSettingsPreferences">
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -518,4 +529,21 @@
    <property name="shortcut">
     <string>Ctrl+S</string>
+   </property>
+  </action>
+  <action name="actionSettingsLanguageAutodetect">
+   <property name="checkable">
+    <bool>true</bool>
+   </property>
+   <property name="checked">
+    <bool>true</bool>
+   </property>
+   <property name="text">
+    <string>&amp;Autodetect</string>
+   </property>
+   <property name="toolTip">
+    <string>Detect language automatically</string>
+   </property>
+   <property name="statusTip">
+    <string>Detect language automatically based on regional settings</string>
    </property>
   </action>
Index: ui/settingsdialog.ce.ui
===================================================================
--- ui/settingsdialog.ce.ui	(revision 5587b87fac8fd2762db0159e7b97beeb76bf5b9c)
+++ ui/settingsdialog.ce.ui	(revision 899d1b8e15f517c4ab2c4edbff5fa53650a2e936)
@@ -8,5 +8,5 @@
     <y>0</y>
     <width>235</width>
-    <height>190</height>
+    <height>180</height>
    </rect>
   </property>
